<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0//EN">

<html>

<head>

<meta http-equiv="content-type" content="text/html; charset=iso-8859-1">

<title>Debian Perl Policy</title>

<link href="index.html" rel="start">
<link href="ap-perl6.html" rel="prev">
<link href="ch1.html" rel="next">
<link href="index.html#contents" rel="contents">
<link href="index.html#copyright" rel="copyright">
<link href="ch1.html" rel="chapter" title="1 About this document">
<link href="ch-perl.html" rel="chapter" title="2 Perl Packaging">
<link href="ch-site.html" rel="chapter" title="3 Locally Installed Modules">
<link href="ch-module_packages.html" rel="chapter" title="4 Packaged Modules">
<link href="ch-programs.html" rel="chapter" title="5 Perl Programs">
<link href="ch-embed.html" rel="chapter" title="6 Programs Embedding Perl">
<link href="ap-perl6.html" rel="appendix" title="A Perl 6">
<link href="ch-perl.html#s-versions" rel="section" title="2.1 Versions">
<link href="ch-perl.html#s-base" rel="section" title="2.2 Base Package">
<link href="ch-perl.html#s-paths" rel="section" title="2.3 Module Path">
<link href="ch-perl.html#s-docs" rel="section" title="2.4 Documentation">
<link href="ch-site.html#s-site_dirs" rel="section" title="3.1 Site Directories">
<link href="ch-site.html#s-site_install" rel="section" title="3.2 Site Installation">
<link href="ch-module_packages.html#s-vendor_dirs" rel="section" title="4.1 Vendor Directories">
<link href="ch-module_packages.html#s-package_names" rel="section" title="4.2 Module Package Names">
<link href="ch-module_packages.html#s-vendor_install" rel="section" title="4.3 Vendor Installation">
<link href="ch-module_packages.html#s-module_deps" rel="section" title="4.4 Module Dependencies">
<link href="ch-programs.html#s-hash_bang" rel="section" title="5.1 Script Magic">
<link href="ch-programs.html#s-program_deps" rel="section" title="5.2 Program Dependencies">
<link href="ch-embed.html#s-build_embedded" rel="section" title="6.1 Building Embedded Programs">
<link href="ch-embed.html#s-embedded_deps" rel="section" title="6.2 Embedded Perl Dependencies">
<link href="ch-embed.html#s-perl_upgrades" rel="section" title="6.3 Perl Package Upgrades">
<link href="ch-module_packages.html#s-indep_modules" rel="subsection" title="4.4.1 Architecture-Independent Modules">
<link href="ch-module_packages.html#s-binary_modules" rel="subsection" title="4.4.2 Binary and Other Architecture Dependent Modules">
<link href="ch-module_packages.html#s-dh_perl" rel="subsection" title="4.4.3 Automating Perl Dependencies">

</head>

<body>

<p><a name="index"></a></p>
<hr>

<p>
[ <a href="ap-perl6.html">previous</a> ]
[ <a href="#contents">Contents</a> ]
[ <a href="ch1.html">1</a> ]
[ <a href="ch-perl.html">2</a> ]
[ <a href="ch-site.html">3</a> ]
[ <a href="ch-module_packages.html">4</a> ]
[ <a href="ch-programs.html">5</a> ]
[ <a href="ch-embed.html">6</a> ]
[ <a href="ap-perl6.html">A</a> ]
[ <a href="ch1.html">next</a> ]
</p>

<hr>

<h1>
Debian Perl Policy
<br></h1>

<hr>

<h2 id="abstract">Abstract</h2>

<p>
This document describes the packaging of Perl within the Debian distribution
and the policy requirements for packaged Perl programs and modules.
</p>

<hr>

<h2 id="copyright">Copyright Notice</h2>

<p>
Copyright &copy; 1999, 2001 Software in the Public Interest
</p>

<p>
This manual is free software; you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation; either version 2 of the License, or (at your option) any later
version.
</p>

<p>
This is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE.  See the GNU General Public License for more details.
</p>

<p>
A copy of the GNU General Public License is available as
<samp>/usr/share/common-licenses/GPL</samp> in the Debian distribution or on
the World Wide Web at <code><a href="http://www.gnu.org/copyleft/gpl.html">The
GNU Public Licence</a></code>.
</p>

<p>
You can also obtain it by writing to the Free Software Foundation, Inc., 51
Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.
</p>

<hr>

<h2 id="contents">Contents</h2>

<ul>
<li><a href="ch1.html">1 About this document</a><li><a href="ch-perl.html">2 Perl Packaging</a>
  <ul>
  <li><a href="ch-perl.html#s-versions">2.1 Versions</a></li>
  <li><a href="ch-perl.html#s-base">2.2 Base Package</a></li>
  <li><a href="ch-perl.html#s-paths">2.3 Module Path</a></li>
  <li><a href="ch-perl.html#s-docs">2.4 Documentation</a>
  </ul></li>
<li><a href="ch-site.html">3 Locally Installed Modules</a>
  <ul>
  <li><a href="ch-site.html#s-site_dirs">3.1 Site Directories</a></li>
  <li><a href="ch-site.html#s-site_install">3.2 Site Installation</a>
  </ul></li>
<li><a href="ch-module_packages.html">4 Packaged Modules</a>
  <ul>
  <li><a href="ch-module_packages.html#s-vendor_dirs">4.1 Vendor Directories</a></li>
  <li><a href="ch-module_packages.html#s-package_names">4.2 Module Package Names</a></li>
  <li><a href="ch-module_packages.html#s-vendor_install">4.3 Vendor Installation</a></li>
  <li><a href="ch-module_packages.html#s-module_deps">4.4 Module Dependencies</a>
  </ul></li>
<li><a href="ch-programs.html">5 Perl Programs</a>
  <ul>
  <li><a href="ch-programs.html#s-hash_bang">5.1 Script Magic</a></li>
  <li><a href="ch-programs.html#s-program_deps">5.2 Program Dependencies</a>
  </ul></li>
<li><a href="ch-embed.html">6 Programs Embedding Perl</a>
  <ul>
  <li><a href="ch-embed.html#s-build_embedded">6.1 Building Embedded Programs</a></li>
  <li><a href="ch-embed.html#s-embedded_deps">6.2 Embedded Perl Dependencies</a></li>
  <li><a href="ch-embed.html#s-perl_upgrades">6.3 Perl Package Upgrades</a>
  </ul></li>
<li><a href="ap-perl6.html">A Perl 6</a></li>
</ul>

<hr>

<p>
[ <a href="ap-perl6.html">previous</a> ]
[ <a href="#contents">Contents</a> ]
[ <a href="ch1.html">1</a> ]
[ <a href="ch-perl.html">2</a> ]
[ <a href="ch-site.html">3</a> ]
[ <a href="ch-module_packages.html">4</a> ]
[ <a href="ch-programs.html">5</a> ]
[ <a href="ch-embed.html">6</a> ]
[ <a href="ap-perl6.html">A</a> ]
[ <a href="ch1.html">next</a> ]
</p>

<hr>

<p>
Debian Perl Policy
</p>

<address>
version 3.9.8.0, 2016-03-30<br>
<br>
Rapha&euml;l Hertzog<br>
Brendan O'Dea<br>
The Debian Policy mailing list <code><a href="mailto:debian-policy@lists.debian.org">mailto:debian-policy@lists.debian.org</a></code><br>
<br>
</address>
<hr>

</body>

</html>

